package cn.com.countrygarden.bi.main.model;

import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

public class hi_psndoc_work {

	public int getHID() {
		return HID;
	}

	public void setHID(int hID) {
		HID = hID;
	}

	public String getBEGINDATE() {
		return BEGINDATE;
	}

	public void setBEGINDATE(String bEGINDATE) {
		BEGINDATE = bEGINDATE;
	}

	public String getBG_CHECK() {
		return BG_CHECK;
	}

	public void setBG_CHECK(String bG_CHECK) {
		BG_CHECK = bG_CHECK;
	}

	public String getCERTIFIER() {
		return CERTIFIER;
	}

	public void setCERTIFIER(String cERTIFIER) {
		CERTIFIER = cERTIFIER;
	}

	public String getCERTIPHONE() {
		return CERTIPHONE;
	}

	public void setCERTIPHONE(String cERTIPHONE) {
		CERTIPHONE = cERTIPHONE;
	}

	public String getCREATIONTIME() {
		return CREATIONTIME;
	}

	public void setCREATIONTIME(String cREATIONTIME) {
		CREATIONTIME = cREATIONTIME;
	}

	public String getCREATOR() {
		return CREATOR;
	}

	public void setCREATOR(String cREATOR) {
		CREATOR = cREATOR;
	}

	public String getDIMISSION_REASON() {
		return DIMISSION_REASON;
	}

	public void setDIMISSION_REASON(String dIMISSION_REASON) {
		DIMISSION_REASON = dIMISSION_REASON;
	}

	public String getDR() {
		return DR;
	}

	public void setDR(String dR) {
		DR = dR;
	}

	public String getENDDATE() {
		return ENDDATE;
	}

	public void setENDDATE(String eNDDATE) {
		ENDDATE = eNDDATE;
	}

	public String getLASTFLAG() {
		return LASTFLAG;
	}

	public void setLASTFLAG(String lASTFLAG) {
		LASTFLAG = lASTFLAG;
	}

	public String getLINKPHONE() {
		return LINKPHONE;
	}

	public void setLINKPHONE(String lINKPHONE) {
		LINKPHONE = lINKPHONE;
	}

	public String getMEMO() {
		return MEMO;
	}

	public void setMEMO(String mEMO) {
		MEMO = mEMO;
	}

	public String getMODIFIEDTIME() {
		return MODIFIEDTIME;
	}

	public void setMODIFIEDTIME(String mODIFIEDTIME) {
		MODIFIEDTIME = mODIFIEDTIME;
	}

	public String getMODIFIER() {
		return MODIFIER;
	}

	public void setMODIFIER(String mODIFIER) {
		MODIFIER = mODIFIER;
	}

	public String getPK_GROUP() {
		return PK_GROUP;
	}

	public void setPK_GROUP(String pK_GROUP) {
		PK_GROUP = pK_GROUP;
	}

	public String getPK_ORG() {
		return PK_ORG;
	}

	public void setPK_ORG(String pK_ORG) {
		PK_ORG = pK_ORG;
	}

	public String getPK_PSNDOC() {
		return PK_PSNDOC;
	}

	public void setPK_PSNDOC(String pK_PSNDOC) {
		PK_PSNDOC = pK_PSNDOC;
	}

	public String getPK_PSNDOC_SUB() {
		return PK_PSNDOC_SUB;
	}

	public void setPK_PSNDOC_SUB(String pK_PSNDOC_SUB) {
		PK_PSNDOC_SUB = pK_PSNDOC_SUB;
	}

	public String getPK_PSNJOB() {
		return PK_PSNJOB;
	}

	public void setPK_PSNJOB(String pK_PSNJOB) {
		PK_PSNJOB = pK_PSNJOB;
	}

	public String getPK_PSNORG() {
		return PK_PSNORG;
	}

	public void setPK_PSNORG(String pK_PSNORG) {
		PK_PSNORG = pK_PSNORG;
	}

	public String getRECORDNUM() {
		return RECORDNUM;
	}

	public void setRECORDNUM(String rECORDNUM) {
		RECORDNUM = rECORDNUM;
	}

	public String getTS() {
		return TS;
	}

	public void setTS(String tS) {
		TS = tS;
	}

	public String getWORK_ADDR() {
		return WORK_ADDR;
	}

	public void setWORK_ADDR(String wORK_ADDR) {
		WORK_ADDR = wORK_ADDR;
	}

	public String getWORKACHIVE() {
		return WORKACHIVE;
	}

	public void setWORKACHIVE(String wORKACHIVE) {
		WORKACHIVE = wORKACHIVE;
	}

	public String getWORKCORP() {
		return WORKCORP;
	}

	public void setWORKCORP(String wORKCORP) {
		WORKCORP = wORKCORP;
	}

	public String getWORKDEPT() {
		return WORKDEPT;
	}

	public void setWORKDEPT(String wORKDEPT) {
		WORKDEPT = wORKDEPT;
	}

	public String getWORKDUTY() {
		return WORKDUTY;
	}

	public void setWORKDUTY(String wORKDUTY) {
		WORKDUTY = wORKDUTY;
	}

	public String getWORKJOB() {
		return WORKJOB;
	}

	public void setWORKJOB(String wORKJOB) {
		WORKJOB = wORKJOB;
	}

	public String getWORKPOST() {
		return WORKPOST;
	}

	public void setWORKPOST(String wORKPOST) {
		WORKPOST = wORKPOST;
	}

	public String getGLBDEF1() {
		return GLBDEF1;
	}

	public void setGLBDEF1(String gLBDEF1) {
		GLBDEF1 = gLBDEF1;
	}

	public String getGLBDEF2() {
		return GLBDEF2;
	}

	public void setGLBDEF2(String gLBDEF2) {
		GLBDEF2 = gLBDEF2;
	}

	public String getGLBDEF3() {
		return GLBDEF3;
	}

	public void setGLBDEF3(String gLBDEF3) {
		GLBDEF3 = gLBDEF3;
	}

	public String getGLBDEF4() {
		return GLBDEF4;
	}

	public void setGLBDEF4(String gLBDEF4) {
		GLBDEF4 = gLBDEF4;
	}

	public String getGLBDEF5() {
		return GLBDEF5;
	}

	public void setGLBDEF5(String gLBDEF5) {
		GLBDEF5 = gLBDEF5;
	}

	public String getGLBDEF6() {
		return GLBDEF6;
	}

	public void setGLBDEF6(String gLBDEF6) {
		GLBDEF6 = gLBDEF6;
	}

	public String getGLBDEF7() {
		return GLBDEF7;
	}

	public void setGLBDEF7(String gLBDEF7) {
		GLBDEF7 = gLBDEF7;
	}

	public String getGLBDEF8() {
		return GLBDEF8;
	}

	public void setGLBDEF8(String gLBDEF8) {
		GLBDEF8 = gLBDEF8;
	}

	public String getGLBDEF9() {
		return GLBDEF9;
	}

	public void setGLBDEF9(String gLBDEF9) {
		GLBDEF9 = gLBDEF9;
	}

	public String getGLBDEF10() {
		return GLBDEF10;
	}

	public void setGLBDEF10(String gLBDEF10) {
		GLBDEF10 = gLBDEF10;
	}

	public String getGLBDEF11() {
		return GLBDEF11;
	}

	public void setGLBDEF11(String gLBDEF11) {
		GLBDEF11 = gLBDEF11;
	}

	public String getGLBDEF12() {
		return GLBDEF12;
	}

	public void setGLBDEF12(String gLBDEF12) {
		GLBDEF12 = gLBDEF12;
	}

	public String getGLBDEF13() {
		return GLBDEF13;
	}

	public void setGLBDEF13(String gLBDEF13) {
		GLBDEF13 = gLBDEF13;
	}

	public String getGLBDEF14() {
		return GLBDEF14;
	}

	public void setGLBDEF14(String gLBDEF14) {
		GLBDEF14 = gLBDEF14;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	private int HID;

	@Column(name = "BEGINDATE")
	private String BEGINDATE;
	
	@Column(name = "RN")
	private String RN;

	public String getRN() {
		return RN;
	}

	public void setRN(String rN) {
		RN = rN;
	}

	@Column(name = "BG_CHECK")
	private String BG_CHECK;

	@Column(name = "CERTIFIER")
	private String CERTIFIER;

	@Column(name = "CERTIPHONE")
	private String CERTIPHONE;

	@Column(name = "CREATIONTIME")
	private String CREATIONTIME;

	@Column(name = "CREATOR")
	private String CREATOR;

	@Column(name = "DIMISSION_REASON")
	private String DIMISSION_REASON;

	@Column(name = "DR")
	private String DR;

	@Column(name = "ENDDATE")
	private String ENDDATE;

	@Column(name = "LASTFLAG")
	private String LASTFLAG;

	@Column(name = "LINKPHONE")
	private String LINKPHONE;

	@Column(name = "MEMO")
	private String MEMO;

	@Column(name = "MODIFIEDTIME")
	private String MODIFIEDTIME;

	@Column(name = "MODIFIER")
	private String MODIFIER;

	@Column(name = "PK_GROUP")
	private String PK_GROUP;

	@Column(name = "PK_ORG")
	private String PK_ORG;

	@Column(name = "PK_PSNDOC")
	private String PK_PSNDOC;

	@Column(name = "PK_PSNDOC_SUB")
	private String PK_PSNDOC_SUB;

	@Column(name = "PK_PSNJOB")
	private String PK_PSNJOB;

	@Column(name = "PK_PSNORG")
	private String PK_PSNORG;

	@Column(name = "RECORDNUM")
	private String RECORDNUM;

	@Column(name = "TS")
	private String TS;

	@Column(name = "WORK_ADDR")
	private String WORK_ADDR;

	@Column(name = "WORKACHIVE")
	private String WORKACHIVE;

	@Column(name = "WORKCORP")
	private String WORKCORP;

	@Column(name = "WORKDEPT")
	private String WORKDEPT;

	@Column(name = "WORKDUTY")
	private String WORKDUTY;

	@Column(name = "WORKJOB")
	private String WORKJOB;

	@Column(name = "WORKPOST")
	private String WORKPOST;

	@Column(name = "GLBDEF1")
	private String GLBDEF1;

	@Column(name = "GLBDEF2")
	private String GLBDEF2;

	@Column(name = "GLBDEF3")
	private String GLBDEF3;

	@Column(name = "GLBDEF4")
	private String GLBDEF4;

	@Column(name = "GLBDEF5")
	private String GLBDEF5;

	@Column(name = "GLBDEF6")
	private String GLBDEF6;

	@Column(name = "GLBDEF7")
	private String GLBDEF7;

	@Column(name = "GLBDEF8")
	private String GLBDEF8;

	@Column(name = "GLBDEF9")
	private String GLBDEF9;

	@Column(name = "GLBDEF10")
	private String GLBDEF10;

	@Column(name = "GLBDEF11")
	private String GLBDEF11;

	@Column(name = "GLBDEF12")
	private String GLBDEF12;

	@Column(name = "GLBDEF13")
	private String GLBDEF13;

	@Column(name = "GLBDEF14")
	private String GLBDEF14;
	@Column(name = "BG_CHECKPK_PSNDOC")
	private String BG_CHECKPK_PSNDOC;

	public String getBG_CHECKPK_PSNDOC() {
		return BG_CHECKPK_PSNDOC;
	}

	public void setBG_CHECKPK_PSNDOC(String bG_CHECKPK_PSNDOC) {
		BG_CHECKPK_PSNDOC = bG_CHECKPK_PSNDOC;
	}

}
